<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>digital.laboratory.platform</groupId>
        <artifactId>dlp-drugtesting</artifactId>
        <version>2022.10.11-snapshots</version>
    </parent>

    <artifactId>dlp-drugtesting-biz</artifactId>
    <packaging>jar</packaging>
    <name>dlp-drugtesting-biz</name>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.compiler.source>1.8</maven.compiler.source>
        <junit.version>5.7.1</junit.version>
        <dlp.version>2022.10.11-snapshots</dlp.version>
    </properties>
    <dependencies>
        <!--注册中心客户端-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
            <version>2021.1</version>
        </dependency>
        <!--配置中心客户端-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
            <version>2021.1</version>
        </dependency>
        <!-- swagger -->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-swagger</artifactId>
        </dependency>
<!--        aop工具包，解决跨库查询-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-aop</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!--断路器依赖-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-feign</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!--security-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-security</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!--JDBC相关-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <!--core 工具类-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-core</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!-- 数据库 mysql依赖 -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.28</version>
        </dependency>
        <!--undertow容器-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-undertow</artifactId>
        </dependency>
        <!-- log -->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-log</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!-- seata分布式事务-->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-seata</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!-- 业务数据的依赖 -->
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-admin-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-drugtesting-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-sewage-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-oss</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/commons-io/commons-io -->
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.11.0</version>
        </dependency>

        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-upload-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>

        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-basic-commonservice-api</artifactId>
            <version>${dlp.version}</version>
        </dependency>

        <!-- poi-tl word 模板处理器 http://deepoove.com/poi-tl -->
        <dependency>
            <groupId>com.deepoove</groupId>
            <artifactId>poi-tl</artifactId>
            <version>1.12.0</version>
        </dependency>
        <!--		添加easyexcel依赖-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>3.1.3</version>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi-ooxml</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.poi</groupId>
                    <artifactId>poi-ooxml-schemas</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>digital.laboratory.platform</groupId>
            <artifactId>dlp-common-remote-word2pdf</artifactId>
            <version>${dlp.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>5.2.3</version>
        </dependency>

        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>5.2.3</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml-schemas</artifactId>
            <version>4.1.2</version>
        </dependency>

        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml-full</artifactId>
            <version>5.2.3</version>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <compilerArgument>-Xlint:unchecked</compilerArgument>
                </configuration>
                <version>3.8.1</version>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>io.fabric8</groupId>
                <artifactId>docker-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>3.3.0</version>
                <executions>
                    <execution>
                        <id>timestamp-property</id>
                        <goals>
                            <goal>timestamp-property</goal>
                        </goals>
                        <configuration>
                            <name>timestamp</name>
                            <pattern>yyyy-MM-dd HH:mm:ss</pattern>
                            <locale>zh_CN</locale>
                            <timeZone>Asia/Shanghai</timeZone>
                        </configuration>
                    </execution>
                </executions>
            </plugin>


            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.1.0</version>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <!-- 过滤后缀文件 ,没有这个的话 读取resource下的文件使用会报错 java.util.zip.ZipException: invalid code lengths set-->
                    <nonFilteredFileExtensions>
                        <nonFilteredFileExtension>xlsx</nonFilteredFileExtension>
                        <nonFilteredFileExtension>xls</nonFilteredFileExtension>
                        <nonFilteredFileExtension>docx</nonFilteredFileExtension>
                    </nonFilteredFileExtensions>
                </configuration>
                <executions>
                    <execution>
                        <id>copy-resource-one</id>
                        <phase>install</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${basedir}/../../out</outputDirectory>
                            <resources>
                                <resource>
                                    <directory>${basedir}/target</directory>
                                    <includes>
                                        <include>${project.artifactId}.jar</include>
                                    </includes>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

        </plugins>
        <resources>
            <resource>
                <directory>${project.basedir}/src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
</project>
